package com.gyee.generation.util.dataadapter;


import java.util.Map;

public interface IAdapterService {
    //历史数据接口
    TotalPointData getTotalData(String start, String end, int sampleType, int sampleRate, String paths,
                                String pageIndex, String pageSize, boolean isDesc);

    //实时数据接口
    Map<String, PointInfo> getLatestData(String paths);
}
